[arch-commits] Commit in qt/trunk (PKGBUILD lrelease.patch)

Pierre Schmitz pierre at archlinux.org
Thu Apr 23 09:38:23 EDT 2009


    Date: Thursday, April 23, 2009 @ 09:38:23
  Author: pierre
Revision: 36481

Qt 4.5.1

Modified:
  qt/trunk/PKGBUILD
Deleted:
  qt/trunk/lrelease.patch

----------------+
 PKGBUILD       |   22 ++++++++++------------
 lrelease.patch |   11 -----------
 2 files changed, 10 insertions(+), 23 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-23 13:25:13 UTC (rev 36480)
+++ PKGBUILD	2009-04-23 13:38:23 UTC (rev 36481)
@@ -2,9 +2,9 @@
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=qt
-pkgver=4.5.0
-pkgrel=5
-_qtcopyver=942255
+pkgver=4.5.1
+pkgrel=1
+_qtcopyver=942255-1
 pkgdesc='A cross-platform application and UI framework'
 arch=('i686' 'x86_64')
 url='http://www.qtsoftware.com/'
@@ -21,15 +21,14 @@
 source=("ftp://ftp.qtsoftware.com/qt/source/${_pkgfqn}.tar.bz2"
         "ftp://ftp.archlinux.org/other/qt/qt-copy-patches-${_qtcopyver}.tar.bz2"
         'assistant.desktop' 'designer.desktop' 'linguist.desktop' 'qtconfig.desktop'
-        'qdoc3.patch' 'lrelease.patch')
-md5sums=('55e8c74a89e1bc128a5a6f1ff6b8b5ba'
-         '95c2318cf97a4ed72db8baaff8543251'
+        'qdoc3.patch')
+md5sums=('afc43e566341cf3e5ed0bcb974f0c3b2'
+         '0551bc969f17f8c5b2c606810d938097'
          'b352b4b70faba2571af3fce5d119580a'
          '491a96682faa03407f768a53cca71db5'
          'cda7ed7e132689991dc2968a0043b4b0'
          '717669b728a0a795217d2f52969e454c'
-         '868056a3edab09fbac0f82ec8b4a4be3'
-         '5859535390a2a58f298c36645aa58ad0')
+         '868056a3edab09fbac0f82ec8b4a4be3')
 
 build() {
 	unset QMAKESPEC
@@ -40,16 +39,14 @@
 	cd $srcdir/$_pkgfqn
 	for i in $srcdir/qt-copy-patches-${_qtcopyver}/*; do
 		echo "applying $i"
-		patch -p0 -i $i
+		patch -p0 -i $i || return 1
 	done
 
 	patch -p1 -i $srcdir/qdoc3.patch
-	# see http://bugs.archlinux.org/task/14369
-	patch -p1 -i $srcdir/lrelease.patch
 
 	sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
 
-	./configure -confirm-license \
+	./configure -confirm-license -opensource \
 		-silent \
 		-prefix /usr \
 		-sysconfdir /etc \
@@ -79,6 +76,7 @@
 	install -D -m644 src/gui/dialogs/images/qtlogo-64.png ${pkgdir}/usr/share/pixmaps/qtlogo.png
 	install -d ${pkgdir}/usr/share/applications
 	install -m644 ${srcdir}/{linguist,designer,assistant,qtconfig}.desktop ${pkgdir}/usr/share/applications/
+	install -D -m644 LGPL_EXCEPTION.txt ${pkgdir}/usr/share/licenses/qt/LGPL_EXCEPTION.txt
 
 	# cleanup and path fixes
 	find $pkgdir/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;

Deleted: lrelease.patch
===================================================================
--- lrelease.patch	2009-04-23 13:25:13 UTC (rev 36480)
+++ lrelease.patch	2009-04-23 13:38:23 UTC (rev 36481)
@@ -1,11 +0,0 @@
---- qt-x11-opensource-src-4.5.0/tools/linguist/lrelease/main.cpp.orig	2009-03-24 13:42:02.000000000 +0100
-+++ qt-x11-opensource-src-4.5.0/tools/linguist/lrelease/main.cpp	2009-03-24 13:47:21.000000000 +0100
-@@ -102,7 +102,7 @@
-                 if (!msg.comment().isEmpty())
-                     qWarning("\n* Comment: %s", qPrintable(msg.comment()));
-             }
--            ok = false;
-+            //ok = false;
-         }
-     }
-     return ok;



More information about the arch-commits mailing list